## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate tss-esapi-sys

Name:           rust-tss-esapi-sys
Version:        0.4.0
Release:        %autorelease
Summary:        FFI wrapper around TSS 2.0 Enhanced System API

License:        Apache-2.0
URL:            https://crates.io/crates/tss-esapi-sys
Source:         %{crates_source}
Patch0:         tss-esapi-sys-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
FFI wrapper around TSS 2.0 Enhanced System API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(tss2-esys) >= 4.0.0
Requires:       pkgconfig(tss2-mu) >= 4.0.0
Requires:       pkgconfig(tss2-tctildr) >= 4.0.0

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+generate-bindings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-bindings-devel %{_description}

This package contains library source intended for building other packages which
use the "generate-bindings" feature of the "%{crate}" crate.

%files       -n %{name}+generate-bindings-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a
echo 'pkgconfig(tss2-esys) >= 4.0.0'
echo 'pkgconfig(tss2-mu) >= 4.0.0'
echo 'pkgconfig(tss2-tctildr) >= 4.0.0'

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 11 2023 Peter Robinson <pbrobinson@gmail.com> - 0.4.0-3
- add rust2rpm.conf

* Thu May 11 2023 Peter Robinson <pbrobinson@gmail.com> - 0.4.0-2
- Regenerate bindings for POWER/s390x/i686 support

* Tue Feb 07 2023 Peter Robinson <pbrobinson@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Mar 21 2022 Peter Robinson <pbrobinson@gmail.com> - 0.3.0-3
- Regenerate all bindings

* Fri Feb 04 2022 Peter Robinson <pbrobinson@gmail.com> - 0.3.0-2
- drop old patch

* Fri Feb 04 2022 Peter Robinson <pbrobinson@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 13 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-5
- Bump bindgen to 0.59.0

* Wed Nov 03 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.2.0-2
- Regenerate all bindings

* Fri Aug 06 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Apr 06 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.1-2
- Always run generate-bindings

* Wed Mar 31 21:14:21 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.1-1
- Update to 0.1.1
- Bump bindgen to 0.57.0

* Tue Mar 23 2021 Peter Robinson <pbrobinson@gmail.com> - 0.1.0-1
- Initial package

